import { checkUpgrade, getConfigByEnv } from "./utils/index"

function share() {
  wx.onAppRoute(function(res) {
    const pages = getCurrentPages()
    const view = pages[pages.length - 1];
    if (view) {
      wx.showShareMenu()
    }
  })
}

// app.js
App({
  onShow() {
    checkUpgrade();
  },
  onLaunch() {
    // wx.showShareMenu()
    // share()
    const { api } = getConfigByEnv();
    this.globalData = { ...this.globalData, api, }
  },
  // onShareAppMessage:function(){
  //   wx.showShareMenu({
  //     withShareTicket:true,
  //     menu:['shareAppMessage','shareTimeline']
  //   })
  // },
  globalData: {
    primaryColor: '#52c41a'
  }
})
